# <slingshot>

(Deprecated)

Converts a Visual Studio.NET Solution to a NAnt build file or nmake file.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
format | string | The output file format - either `nant` or `nmake`. | True
output | string | The output file name. | True
solution | string | The Visual Studio.NET solution file to convert. | True
failonerror | bool | Determines if task failure stops the build, or is just reported. The default is true. | False
if | bool | If true then the task will be executed; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the task will be executed; otherwise, skipped. The default is false. | False
verbose | bool | Determines whether the task should report detailed build log messages. The default is false. | False

### Nested Elements:

#### <maps>

Mappings from URI to directories. These are required for web projects.

##### <option>

Represents an option.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | string | Name of the option. | True
if | bool | Indicates if the option should be passed to the task. If true then the option will be passed; otherwise, skipped. The default is true. | False
unless | bool | Indicates if the option should not be passed to the task. If false then the option will be passed; otherwise, skipped. The default is false. | False
value | string | Value of the option. The default is a null reference (Nothing in Visual Basic). | False

##### </option>

#### </maps>

#### <parameters>

Parameters to pass to SLiNgshoT. The parameter `build.basedir` is required.

##### <option>

Represents an option.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | string | Name of the option. | True
if | bool | Indicates if the option should be passed to the task. If true then the option will be passed; otherwise, skipped. The default is true. | False
unless | bool | Indicates if the option should not be passed to the task. If false then the option will be passed; otherwise, skipped. The default is false. | False
value | string | Value of the option. The default is a null reference (Nothing in Visual Basic). | False

##### </option>

#### </parameters>

### Examples

- Convert the solution `MySolution.sln` to the NAnt build file `MySolution.build` and call the new build file.

                  <slingshot solution="MySolution.sln" format="nant" output="MySolution.build">
                      <parameters>
                          <option name="build.basedir" value="..\bin"/>
                      </parameters>
                  </slingshot>
                  <nant buildfile="MySolution.build"/>

- Convert the solution `MySolution.sln` to the NAnt build file `MySolution.build`. As the solution contains one or more web projects, one or more maps needs to be specified.

                  <slingshot solution="MySolution.sln" format="nant" output="MySolution.build">
                      <parameters>
                          <option name="build.basedir" value="..\bin"/>
                      </parameters>
                      <maps>
                          <option name="http://localhost" value="C:\Inetpub\wwwroot"/>
                      </maps>
                  </slingshot>

### Requirements

Assembly: NAnt.Contrib.Tasks (0.91.4312.0)